跳转到内容

Fibo Edit [Structured Instruction]

集成

模型 id bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.01 10 API 积分 在此页面运行

获取 API 密钥
Bria AI · 数据(JSON)

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

高级 instruction · image · mask · seed

描述图像编辑的指令。

image_url
拖放文件,或

以文件或 URL 形式提供的参考图像。

mask_url
拖放文件,或

参考图像的可选蒙版,以文件或 URL 形式提供。

默认 5555

控制随机性的种子,以获得可复现的结果。

POST /run/bria/fibo-edit/edit/structured_instruction?wait=20 报价 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Fibo Edit [Structured Instruction]

仅生成编辑所需的结构化指令,不生成图像。输入包括可选的 `image_url`、`mask_url`、`instruction` 和 `seed`。JSON 输出涵盖对象、光照、美学、背景设置、摄影特征和要渲染的文本等字段。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url可选 image
类型url · image
以文件或 URL 形式提供的参考图像。
mask_url可选 mask
类型url · image
参考图像的可选蒙版,以文件或 URL 形式提供。
instruction可选
类型string | null
描述图像编辑的指令。
seed可选
类型integer
默认值5555
控制随机性的种子,以获得可复现的结果。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit/edit/structured_instruction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {},
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "preference_score": "string",
      "aesthetic_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string",
    "edit_instruction": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
short_description
string | null对目标输出图像的简要描述。
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | null以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
background_setting
string | null生成图像的背景环境。
lighting
object {conditions, direction, shadows} | null生成图像的照明。
aesthetics
object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | null生成图像的美学特征。
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | null生成图像的摄影属性。
style_medium
string | null生成图像的艺术媒介。
text_render
array of any | null要包含在图像中的文本条目列表。
context
string | null生成图像的上下文。
artistic_style
string | null生成图像的艺术风格。
edit_instruction
string | null描述如何编辑图像的指令。

更多模型:LLM

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-edit/edit/structured_instruction.md. 所有模型和指南: https://doitong.com/developers/llms.txt